version: "3.3"
services:
  mailhog:
    image: mailhog/mailhog
    logging:
      driver: 'none'  # disable saving logs
    environment:
      MH_SMTP_BIND_ADDR: 0.0.0.0:25
    ports:
      - "127.0.0.1:8025:8025"
  flask:
    build:
      context: ./Dockerfiles/ubuntu-24.04
      dockerfile: Dockerfile
      target: registration-dev
      args:
        DB_STARTERS_REGISTRATION_PASSWORD:
    ports:
      - "127.0.0.1:5000:5000"
    volumes:
      - .:/code
    environment:
      FLASK_ENV: development
      CRSID:
